TRACE_IRQ_HANDLER_EX(9)

NAME
trace_irq_handler_exit - called immediately after the irq action handler returns

SYNOPSIS

void trace_irq_handler_exit(int irq, struct irqaction * action, int ret);

ARGUMENTS

irq
    irq number

action
    pointer to struct irqaction

ret
    return value

DESCRIPTION

If the ret value is set to IRQ_HANDLED, then we know that the corresponding action->handler scuccessully handled this irq. Otherwise, the irq might be a shared irq line, or the irq was not handled successfully. Can be used in conjunction with the irq_handler_entry to understand irq handler latencies.

AUTHORS

Jason Baron <jbaron@redhat.com>
    Author.

William Cohen <wcohen@redhat.com>
    Author.

COPYRIGHT